Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 199810 - pam_group doesn't work
pam_group doesn't work
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: pam (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tomas Mraz
Jay Turner
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-07-22 10:10 EDT by Alex Yacoub
Modified: 2015-01-07 19:13 EST (History)
1 user (show)

See Also:
Fixed In Version: RHBA-2006-0370
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-24 06:35:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alex Yacoub 2006-07-22 10:10:02 EDT
Description of problem:

When I add this line to /etc/pam.d/system-auth
auth  optional  /lib/security/$ISA/pam_group.so

and then add this line to the middle of /etc/security/group.conf:
*;*;*;Al0000-2400;mygroup

I get this line in /var/log/messages when I try to log in:
Jul 21 15:27:55 myhost pam_group[10127]:  not opened

From looking at the code, it seems that the PAM_GROUP_CONF macro
is somehow being undefined during the compile process.  It should be
defined in pam_group.c as "/etc/security/group.conf", and if it were
the error message would be "/etc/security/group.conf not opened"

Version-Release number of selected component (if applicable):

pam-0.77-66.14

How reproducible:

Always

Steps to Reproduce:
1. Add the line "auth optional /lib/security/$ISA/pam_group.so" to /etc/pam.d/system-auth
2. Add the group "mygroup" to the system.
3. Add the line "*;*;*;Al0000-2400;mygroup" to /etc/security/group.conf
4. Try to log in as any user.
  
Actual results:

User is not added to mygroup.  There is an error in the messages log.

Expected results:

User should be added to mygroup.

Additional info:
Comment 1 Alex Yacoub 2006-07-22 10:18:07 EDT
Strangely enough, it seems this bug was fixed in RHEL3 a few days ago.  

It turns out my search in bugzilla accidentally didn't include closed bugs.  This bug 
is a dupe of 176797.
Comment 2 Tomas Mraz 2006-08-24 06:35:50 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2006-0370.html

Note You need to log in before you can comment on or make changes to this bug.